Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryJoinInfo

    java.lang.Object
      jet.api.QueryJoinInfo

    public class QueryJoinInfo

extends java.lang.Object

Field Summary
`static int` | `LEFTOUTER` flag of outer join type
`static int` | `RIGHTOUTER` flag of outer join type

Constructor Summary
`QueryJoinInfo()` Constructor.
`QueryJoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Constructor.
`QueryJoinInfo(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJoin)` Constructor.

Method Summary
`void` | `add(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo)` Adds a join object.
`void` | `add(java.lang.String tableFrom, java.lang.String columnFrom, java.lang.String operator, java.lang.String tableTo, java.lang.String columnTo, boolean isSQL92, int outerJpin)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFTOUTER

    public static final int LEFTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

### RIGHTOUTER

    public static final int RIGHTOUTER

  flag of outer join type

  See Also:
    Constant Field Values

Constructor Detail

### QueryJoinInfo

    public QueryJoinInfo()

  Constructor. Creates a query join object.

### QueryJoinInfo

    public QueryJoinInfo(java.lang.String tableFrom,
                         java.lang.String columnFrom,
                         java.lang.String operator,
                         java.lang.String tableTo,
                         java.lang.String columnTo,
                         boolean isSQL92,
                         int outerJoin)

  Constructor. Creates a query join object.

  Parameters:
    `tableFrom` - the FROM table of the join
    `columnFrom` - the FROM column of the join
    `operator` - the operator of the join
    `tableTo` - the TO table of the join
    `columnTo` - the TO column of the join

### QueryJoinInfo

    public QueryJoinInfo(java.lang.String tableFrom,
                         java.lang.String columnFrom,
                         java.lang.String operator,
                         java.lang.String tableTo,
                         java.lang.String columnTo)

  Constructor. Creates a query join object.

  Parameters:
    `tableFrom` - the FROM table of the join
    `columnFrom` - the FROM column of the join
    `operator` - the operator of the join
    `tableTo` - the TO table of the join
    `columnTo` - the TO column of the join

Method Detail

### add

    public void add(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo)

  Adds a join object.

  Parameters:
    `tableFrom` - the FROM table of the join
    `columnFrom` - the FROM column of the join
    `operator` - the operator of the join
    `tableTo` - the TO table of the join
    `columnTo` - the TO column of the join

### add

    public void add(java.lang.String tableFrom,
                    java.lang.String columnFrom,
                    java.lang.String operator,
                    java.lang.String tableTo,
                    java.lang.String columnTo,
                    boolean isSQL92,
                    int outerJpin)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD